const { ccclass, property } = cc._decorator;

@ccclass
export default class Move extends cc.Component {

    @property(cc.Vec2)
    private startScale: cc.Vec2 = cc.v2(1, 1);

    @property(cc.Vec2)
    private endScale: cc.Vec2 = cc.v2(1, 1);

    @property()
    private duration: number = 1;

    protected onLoad() {
        this.node.scaleX = this.startScale.x;
        this.node.scaleY = this.startScale.y;
        this.node.runAction(cc.repeatForever(cc.sequence(
            cc.scaleTo(this.duration, this.endScale.x, this.endScale.y),
            cc.scaleTo(this.duration, this.startScale.x, this.startScale.y),
        )));
    }

}
